HQ APIVat categories
List company VAT assignments
Lists product/service VAT assignments for the company issuer.
GET
/v1/hq/companies/{company_id}/vat_assignmentsAuthorizationBearer <token>
The Noona HQ API uses Bearer token for authentication.
Endpoints that return generic information that does not contain sensitive data do not require authentication. Endpoints that require authentication are specifically marked in the documentation.
Authorization: Bearer your-token
In: header
Path Parameters
company_id*string
Company ID
Query Parameters
vat_category_id?string
item_type?string
event_type represents services in the HQ product model.
Format
enumValue in
"product" | "event_type"item_id?string
select?array<string>
expand?array<string>
Response Body
application/json
curl -X GET "https://api.noona.is/v1/hq/companies/string/vat_assignments"[
{
"id": "vatassign_123456",
"company": "string",
"issuer": "string",
"item_type": "product",
"item_id": "item_123456",
"vat_category": "string",
"order": 0,
"created_at": "2026-06-17T12:00:00Z",
"updated_at": "2026-06-17T12:00:00Z"
}
]Empty
Empty
Empty
Empty
Empty